TypeScript
import { Configuration, WebhooksApi } from "@zippendo/sdk"
const api = new WebhooksApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.listOrgWebhookDeliveries({ orgId: "...", webhookId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.WebhooksApi(client).list_org_webhook_deliveries("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\WebhooksApi(new GuzzleHttp\Client(), $config);
$result = $api->listOrgWebhookDeliveries("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.WebhooksAPI.ListOrgWebhookDeliveries(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::WebhooksApi.new.list_org_webhook_deliveries("...", "...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"id": "whd_clx9z8y7x6",
"webhookId": "wh_clx1a2b3c4",
"event": "shipment.created",
"payload": {
"id": "shp_123"
},
"statusCode": 200,
"response": "OK",
"duration": 142,
"success": true,
"attempt": 1,
"error": null,
"createdAt": "2026-06-10T11:16:00.000Z"
}
],
"total": 137,
"page": 1,
"limit": 20,
"totalPages": 7
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Webhooks
List webhook deliveries
List the delivery history for a specific webhook.
GET
/
orgs
/
{orgId}
/
webhooks
/
{webhookId}
/
deliveries
TypeScript
import { Configuration, WebhooksApi } from "@zippendo/sdk"
const api = new WebhooksApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.listOrgWebhookDeliveries({ orgId: "...", webhookId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.WebhooksApi(client).list_org_webhook_deliveries("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\WebhooksApi(new GuzzleHttp\Client(), $config);
$result = $api->listOrgWebhookDeliveries("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.WebhooksAPI.ListOrgWebhookDeliveries(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::WebhooksApi.new.list_org_webhook_deliveries("...", "...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/webhooks/{webhookId}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"id": "whd_clx9z8y7x6",
"webhookId": "wh_clx1a2b3c4",
"event": "shipment.created",
"payload": {
"id": "shp_123"
},
"statusCode": 200,
"response": "OK",
"duration": 142,
"success": true,
"attempt": 1,
"error": null,
"createdAt": "2026-06-10T11:16:00.000Z"
}
],
"total": 137,
"page": 1,
"limit": 20,
"totalPages": 7
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Path Parameters
Organization ID
Example:
"org_clx1a2b3c4"
Webhook ID
Example:
"wh_clx1a2b3c4"
Query Parameters
Page number (1-based)
Required range:
1 <= x <= 9007199254740991Example:
1
Items per page (max 100)
Required range:
1 <= x <= 100Example:
20
Response
Default Response
Was this page helpful?
⌘I